# Code Interface Report for SMO_arctan_PLL

### Table of Contents

- Entry-Point Functions
- Inports
- Outports
- Interface Parameters
- Data Stores

### Entry-Point Functions

Function: SMO_arctan_PLL_initialize

Prototype | void SMO_arctan_PLL_initialize(RT_MODEL *const rtM)
Description | Initialization entry point of generated code
Timing | Must be called exactly once

Arguments

# | Name | Data Type | Description
--- | --- | --- | ---
1 | rtM | RT_MODEL *const | RTModel

Return value | None
Header file | SMO_arctan_PLL.h

Function: SMO_arctan_PLL_step

Prototype | void SMO_arctan_PLL_step(RT_MODEL *const rtM, real_T rtU_Ialfabeta[2], real_T rtU_Ualfabeta[2], real_T *rtY_theta, real_T *rtY_we)
Description | Output entry point of generated code
Timing | Must be called periodically, every 6e-05 seconds

Arguments

[-]

# | Name | Data Type | Description
--- | --- | --- | ---
1 | rtM | RT_MODEL *const | RTModel
2 | rtU_Ialfabeta | real_T | <S12>/Ialfa,beta
3 | rtU_Ualfabeta | real_T | <S12>/Ualfa,beta
4 | rtY_theta | real_T * | <S12>/theta
5 | rtY_we | real_T * | <S12>/we

Return value | None
Header file | SMO_arctan_PLL.h

### Inports

Block Name | Code Identifier | Data Type | Dimension
--- | --- | --- | ---
<S12>/Ialfa,beta | Defined externally | real_T | [2]
<S12>/Ualfa,beta | Defined externally | real_T | [2]

### Outports

Block Name | Code Identifier | Data Type | Dimension
--- | --- | --- | ---
<S12>/theta | Defined externally | real_T | 1
<S12>/we | Defined externally | real_T | 1

### Interface Parameters

No interface/tunable parameters in model.

### Data Stores

No data stores in the model; note that this report lists only data stores with non-auto storage class and global data stores